label_bquote {ggplot2} | R Documentation

## Backquoted labeller

### Description

`label_bquote()` offers a flexible way of labelling facet rows or columns with plotmath expressions. Backquoted variables will be replaced with their value in the facet.

### Usage

    label_bquote(rows = NULL, cols = NULL, default = label_value)

### Arguments

`rows` | Backquoted labelling expression for rows.
`cols` | Backquoted labelling expression for columns.
`default` | Default labeller function for the rows or the columns when no plotmath expression is provided.

### See Also

labellers, `labeller()`,

### Examples

    # The variables mentioned in the plotmath expression must be
    # backquoted and referred to by their names.
    p <- ggplot(mtcars, aes(wt, mpg)) + geom_point()
    p + facet_grid(vs ~ ., labeller = label_bquote(alpha ^ .(vs)))
    p + facet_grid(. ~ vs, labeller = label_bquote(cols = .(vs) ^ .(vs)))
    p + facet_grid(. ~ vs + am, labeller = label_bquote(cols = .(am) ^ .(vs)))

[Package ggplot2 version 2.1.0 Index]